/*
    This file is a part of the SteamWar software.

    Copyright (C) 2021  SteamWar.de-Serverteam

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.fightsystem.utils;

import org.bukkit.Sound;

public class SWSound8 implements SWSound.ISWSound {
    @Override
    public Sound getSound(SWSound sound) {
        switch(sound){
            case ENTITY_WITHER_DEATH:
                return Sound.WITHER_DEATH;
            case BLOCK_NOTE_BASS:
                return Sound.NOTE_BASS;
            case BLOCK_NOTE_PLING:
                return Sound.NOTE_PLING;
            case ENTITY_GENERIC_EXPLODE:
                return Sound.EXPLODE;
            default:
                return null;
        }
    }
}
